WebSphereTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ibm.websphere.ejb.WebSphereTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ibm.websphere.ejb
Class WebSphereTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.env.EnvTagsHandler
                  xdoclet.modules.ibm.websphere.ejb.WebSphereTagsHandler

public class WebSphereTagsHandler
extends EnvTagsHandler

Version:
  $Revision: 1.3 $
Author:
  Matthias Germann (matthias@germann.com)
xdoclet.taghandler
  namespace="WebSphere"
created
  December 24, 2004

Field Summary

Fields inherited from class xdoclet.modules.ejb.env.EnvTagsHandler
`currentMember, currentTag, currentTagType`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`WebSphereTagsHandler()`

Method Summary
`void` | `forAllResourceRefs(String template, Properties attributes)` Iterates over all \@websphere.resource-ref tags with the same res-ref-name as the current tag

Methods inherited from class xdoclet.modules.ejb.env.EnvTagsHandler
`doGenerate, forAllMemberTags, forAllMethodTags, forAllTags, forTags, ifHasParam, ifHasTag, ifHasType, ifNotPrimitiveMember, ifParamValueEquals, ifParamValueNotEquals, ifPrimitiveMember, memberName, memberType, methodSignature, name, paramValue, type`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebSphereTagsHandler

    public WebSphereTagsHandler()

Method Detail

### forAllResourceRefs

    public void forAllResourceRefs(String template,
                                   Properties attributes)
                            throws XDocletException

  Iterates over all \@websphere.resource-ref tags with the same res-ref-name as the current tag

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - if something goes wrong
  doc.tag
    type="block"
  doc.param
    name="nameParam" optional="true" default="res-ref-name" description="The name of the current tag's parameter which contains the name of the resource reference. The value of this parameter is used for finding the corresponding \@websphere.resource-ref tag"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD